Display full version of the post: How to Create Helix?

dery
24.01.2019, 01:42
Can someone please tell me how to create a helix in ACAD2002?I asked this because there is no helix command in ACAD2002.

philippe JOSEPH
24.01.2019, 07:16
Hello dery, HELIX is comming with ACAD2007 so you will have to approximate your helix with multiple extrusions of regions along small arcs and then a copy or array to have a big/long one.Place here some small example of extrusion that you want and we will give you some tutorial.Maybe a "good" helix created with ACAD2007 or + can be "saved as" ACAD2002" or you could do the "save as" with your ACAD2012. 

philippe JOSEPH2019-01-24 07:19:33

John Connor
24.01.2019, 16:44
I would suggest trying to find a custom helix lisp routine and test it with your version f AutoCAD.  There's probably one available at this website (cadforum) but I haven't bothered to check.  

philippe JOSEPH
25.01.2019, 07:17
Hello dery and John, on 24 april 2017 scj.schulz gave me a lisp to draw perfect helix ( standard AutoCAD helix are not perfect ) :Try to make it work on your AutoCAD2002 then tell us what you do with it because you can SWEEP after AutoCAD 2007.>>
(defun C:HELIX_scj (/ aunits_old osmode_old acc height radius delta_ang
delta_h)
;; approximation by a 3D-SPLINE with adjustable accuracy
(setq alpha 0.0 h 0.0)

(setq acc 10000)
(setq height 100.0)
(setq radius 100.0)

(setq AUNITS_old (getvar "AUNITS") OSMODE_old (getvar
"OSMODE"))
(setvar "AUNITS" 3)
(setvar "OSMODE" 0)
(setq delta_ang (/ (* 2 pi) acc) delta_h (/ height acc))
(command "_SPLINE")

(repeat (+ 1 acc)
    (progn
    (command (strcat (rtos radius) "<" (rtos alpha)
"," (rtos h)))
    (setq alpha (+ alpha delta_ang) h (+ h delta_h))
    )
)

(command "")
(command "")
(command "")
(setvar "AUNITS" aunits_old)
(setvar "OSMODE" osmode_old)
)
>>

philippe JOSEPH
25.01.2019, 20:16
Or maybe" EXTRUDE along a path" works in AutoCAD 2002 with a helix I don't remember...

Kent Cooper
25.01.2019, 22:03
[QUOTE=philippe JOSEPH]Or maybe" EXTRUDE along a path" works in AutoCAD 2002 with a helix I don't remember...[/QUOTE]
 [It wouldn't, because not only the Helix command but also the Helix entity type didn't exist yet.]

philippe JOSEPH
26.01.2019, 08:55
Yes because helix is coming after 2007 but is it working with the lisp provided here under that is creating a 3D polyline with a selected number of points ( eventually a lot )?


And then as it's not possible to SWEEP with AutoCAD2002 something along that polyline, what will be the result of an eventual EXTRUDE with millions of facets?That's why I did propose at first to built an approximate model with various simple elements of arcs.In old releases of AutoCAD you could find in the samples loaded with the program on the disk (C) an example of a 3D coil spring apparently correct but made of various arcs in an air jack with coil return spring.



philippe JOSEPH2019-01-26 09:08:31

philippe JOSEPH
28.01.2019, 07:27
Hello, I have placed in the CAD/BIM Blocks library here in the site the file : R300-20.dwg taken out of the CD-ROM of the old AutoCAD R14.It shows an air cylinder asssembly including the famous approximate 3D coil sping mark "7" in yellow.Look at it and you will see an assembly of extruded arcs to make it look alike a real sweeped one.Maybe the good way for dery making his own one.